## com.arsdigita.docmgr
Class ResourceExistsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.arsdigita.docmgr.ResourceExistsException

All Implemented Interfaces:
  Serializable

public class ResourceExistsException
extends RuntimeException

Exception thrown to indicate that another resource exists with the same parent and name.

Version:
  $Id: //apps/docmgr/dev/src/com/arsdigita/docmgr/ResourceExistsException.java#3 $
See Also:
  Serialized Form

Constructor Summary
`ResourceExistsException(String message)` Creates a new exception with a given error message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceExistsException

    public ResourceExistsException(String message)

  Creates a new exception with a given error message.

Parameters:
  `message` - the error message

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC